clang 8.0.0

Namespaces | Functions
IssueHash.h File Reference
`#include "llvm/ADT/SmallString.h"`
Include dependency graph for IssueHash.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Functions
llvm::SmallString< 32 > | clang::GetIssueHash (const SourceManager &SM, FullSourceLoc &IssueLoc, llvm::StringRef CheckerName, llvm::StringRef BugType, const Decl *D, const LangOptions &LangOpts)
| Get an MD5 hash to help identify bugs. More...
std::string | clang::GetIssueString (const SourceManager &SM, FullSourceLoc &IssueLoc, llvm::StringRef CheckerName, llvm::StringRef BugType, const Decl *D, const LangOptions &LangOpts)
| Get the string representation of issue hash. More...